com.hazelcast.config

## Enum MaxSizeConfig.MaxSizePolicy

- java.lang.Object
- - java.lang.Enum<MaxSizeConfig.MaxSizePolicy>
  - - com.hazelcast.config.MaxSizeConfig.MaxSizePolicy

- All Implemented Interfaces:
    Serializable, Comparable<MaxSizeConfig.MaxSizePolicy>
  Enclosing class:
    MaxSizeConfig

      public static enum MaxSizeConfig.MaxSizePolicy
      extends Enum<MaxSizeConfig.MaxSizePolicy>

  Maximum Size Policy

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FREE_HEAP_PERCENTAGE` Policy based on minimum free JVM heap memory percentage per JVM
    `FREE_HEAP_SIZE` Policy based on minimum free JVM heap memory in megabytes per JVM
    `FREE_NATIVE_MEMORY_PERCENTAGE` Policy based on minimum free native memory percentage per Hazelcast instance
    `FREE_NATIVE_MEMORY_SIZE` Policy based on minimum free native memory in megabytes per Hazelcast instance
    `PER_NODE` Policy based on maximum number of entries stored per data structure (map, cache etc) on each Hazelcast instance
    `PER_PARTITION` Policy based on maximum number of entries stored per data structure (map, cache etc) on each partition
    `USED_HEAP_PERCENTAGE` Policy based on maximum used JVM heap memory percentage per data structure (map, cache etc) on each Hazelcast instance
    `USED_HEAP_SIZE` Policy based on maximum used JVM heap memory in megabytes per data structure (map, cache etc) on each Hazelcast instance
    `USED_NATIVE_MEMORY_PERCENTAGE` Policy based on maximum used native memory percentage per data structure (map, cache etc) on each Hazelcast instance
    `USED_NATIVE_MEMORY_SIZE` Policy based on maximum used native memory in megabytes per data structure (map, cache etc) on each Hazelcast instance

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MaxSizeConfig.MaxSizePolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MaxSizeConfig.MaxSizePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PER_NODE

          public static final MaxSizeConfig.MaxSizePolicy PER_NODE

      Policy based on maximum number of entries stored per data structure (map, cache etc) on each Hazelcast instance

    - #### PER_PARTITION

          public static final MaxSizeConfig.MaxSizePolicy PER_PARTITION

      Policy based on maximum number of entries stored per data structure (map, cache etc) on each partition

    - #### USED_HEAP_PERCENTAGE

          public static final MaxSizeConfig.MaxSizePolicy USED_HEAP_PERCENTAGE

      Policy based on maximum used JVM heap memory percentage per data structure (map, cache etc) on each Hazelcast instance

    - #### USED_HEAP_SIZE

          public static final MaxSizeConfig.MaxSizePolicy USED_HEAP_SIZE

      Policy based on maximum used JVM heap memory in megabytes per data structure (map, cache etc) on each Hazelcast instance

    - #### FREE_HEAP_PERCENTAGE

          public static final MaxSizeConfig.MaxSizePolicy FREE_HEAP_PERCENTAGE

      Policy based on minimum free JVM heap memory percentage per JVM

    - #### FREE_HEAP_SIZE

          public static final MaxSizeConfig.MaxSizePolicy FREE_HEAP_SIZE

      Policy based on minimum free JVM heap memory in megabytes per JVM

    - #### USED_NATIVE_MEMORY_SIZE

          public static final MaxSizeConfig.MaxSizePolicy USED_NATIVE_MEMORY_SIZE

      Policy based on maximum used native memory in megabytes per data structure (map, cache etc) on each Hazelcast instance

    - #### USED_NATIVE_MEMORY_PERCENTAGE

          public static final MaxSizeConfig.MaxSizePolicy USED_NATIVE_MEMORY_PERCENTAGE

      Policy based on maximum used native memory percentage per data structure (map, cache etc) on each Hazelcast instance

    - #### FREE_NATIVE_MEMORY_SIZE

          public static final MaxSizeConfig.MaxSizePolicy FREE_NATIVE_MEMORY_SIZE

      Policy based on minimum free native memory in megabytes per Hazelcast instance

    - #### FREE_NATIVE_MEMORY_PERCENTAGE

          public static final MaxSizeConfig.MaxSizePolicy FREE_NATIVE_MEMORY_PERCENTAGE

      Policy based on minimum free native memory percentage per Hazelcast instance

  - ### Method Detail

    - #### values

          public static MaxSizeConfig.MaxSizePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MaxSizeConfig.MaxSizePolicy c : MaxSizeConfig.MaxSizePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MaxSizeConfig.MaxSizePolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020. All rights reserved.